package cn.ch.game;

import java.awt.Frame;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;



public class MyGameFrame extends Frame{
	Image planeImg=GameUtil.getImage("images/plane.png");	//طɻͼƬ
	Image bg=GameUtil.getImage("images/bg.jpg");	//رͼƬ
	Plane plane=new Plane(planeImg,250,250);
	
	
	/**
	 * ʼͼ
	 */
	public void paint(Graphics g) {
		g.drawImage(bg, 0, 0, null);
		plane.draw(g);
	}
	
	
	/**
	 * ʼ
	 */
	public void launchFrame() {
		this.setTitle("ѧóºƷɻս");
		this.setVisible(true);
		this.setLocation(300,300);
		this.setSize(500,500);
		
		this.addWindowListener(new WindowAdapter() {
			@Override
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
		new PaintThread().start();		//ػ߳
		addKeyListener(new KeyMonitor());   //Ӽ̵ļ
	}
	
	
	
	//ػڲ
	class PaintThread extends Thread{
		public void run() {
			while(true) {
				repaint();
				try {
					Thread.sleep(40);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
		}
	}
	
	
	
	//̼ڲ
	class KeyMonitor extends KeyAdapter{
		public void KeyPressed(KeyEvent e) {
			plane.addDrection(e);
		}
		
		public void KeyReleased(KeyEvent e) {
			plane.minusDrection(e);
		}
	}
	
	
	public static void main(String[] args) {
		MyGameFrame gf=new MyGameFrame();
		gf.launchFrame();
	}
	
	
	//˫˸
	private Image offScreenImage = null;
	 
	public void update(Graphics g) {
	    if(offScreenImage == null)
	        offScreenImage = this.createImage(500,500);//ϷڵĿȺ͸߶
	     
	    Graphics gOff = offScreenImage.getGraphics();
	    paint(gOff);
	    g.drawImage(offScreenImage, 0, 0, null);
	}	 
		
}
